"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.typesBundle = exports.moonbeamDefinitions = void 0;
exports.moonbeamDefinitions = {
    types: [
        {
            minmax: [0, 4],
            types: {
                AccountId: "EthereumAccountId",
                Address: "AccountId",
                Balance: "u128",
                RefCount: "u8",
                LookupSource: "AccountId",
                Account: {
                    nonce: "U256",
                    balance: "u128",
                },
            },
        },
        {
            minmax: [5, 5],
            types: {
                AccountId: "EthereumAccountId",
                Address: "AccountId",
                Balance: "u128",
                LookupSource: "AccountId",
                Account: {
                    nonce: "U256",
                    balance: "u128",
                },
            },
        },
        {
            minmax: [6, undefined],
            types: {
                AccountId: "EthereumAccountId",
                Address: "AccountId",
                Balance: "u128",
                LookupSource: "AccountId",
                Account: {
                    nonce: "U256",
                    balance: "u128",
                },
                ExtrinsicSignature: "EthereumSignature",
                RoundIndex: "u32",
                Candidate: {
                    validator: "AccountId",
                    fee: "Perbill",
                    nominators: "OrderedSet<Bond<AccountId, Balance>>",
                    total: "Balance",
                    state: "ValidatorStatus<RoundIndex>",
                },
                OrderedSet: "Vec",
            },
        },
    ],
};
exports.typesBundle = {
    spec: {
        "moonbase-alphanet": exports.moonbeamDefinitions,
        moonbeamDefinitions: exports.moonbeamDefinitions,
        "moonbeam-standalone": exports.moonbeamDefinitions,
        "node-moonbeam": exports.moonbeamDefinitions,
    },
};
